ON_ClippingPlaneInfo Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_plane.h>`

## Public Member Functions

void | Default ()
bool | Write (ON_BinaryArchive &) const
bool | Read (ON_BinaryArchive &)

## Public Attributes

ON_PlaneEquation | m_plane_equation
ON_UUID | m_plane_id
bool | m_bEnabled

## Detailed Description

Definition at line 468 of file opennurbs_plane.h.

## Member Function Documentation

void ON_ClippingPlaneInfo::Default | ( |  | ) |

bool ON_ClippingPlaneInfo::Read | ( | ON_BinaryArchive & |  | ) |

bool ON_ClippingPlaneInfo::Write | ( | ON_BinaryArchive & |  | ) | const

## Member Data Documentation

bool ON_ClippingPlaneInfo::m_bEnabled

Definition at line 478 of file opennurbs_plane.h.

ON_PlaneEquation ON_ClippingPlaneInfo::m_plane_equation

Definition at line 476 of file opennurbs_plane.h.

ON_UUID ON_ClippingPlaneInfo::m_plane_id

Definition at line 477 of file opennurbs_plane.h.

The documentation for this class was generated from the following file:

- /build/pcl-6_P28C/pcl-1.7.2/surface/include/pcl/surface/3rdparty/opennurbs/opennurbs_plane.h